Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3406 - Install fails to set up lilo with Mylex DAC960
Summary: Install fails to set up lilo with Mylex DAC960
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-11 19:24 UTC by jjs
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-14 17:55:43 UTC


Attachments (Terms of Use)

Description jjs 1999-06-11 19:24:47 UTC
If system has A Mylex DAC960 controller and regular SCSI
controller with disks attached to it installer thinks that
/dev/sda is bios drive 0x80. But LILO thinks that /dev/c0d0
is BIOS disk 0x80, which is correct in most cases.

This bug makes the system unable to boot.
Problem can be solved by booting with bootdisk and changing
lilo.conf boot= line.

Currently installer offers only two possible locations to
place LILO: bootsector of root partition and beginning of
the disk, which installer thinks to be BIOS disk 0x80.

Maybe installer should offer other places where
LILO could be installed.
These could be beginnings (MBR) of all available disks of
system.

Comment 1 Jay Turner 1999-06-14 17:55:59 UTC
I have forwarded this to a devleoper for future consideration in the
installer.


Note You need to log in before you can comment on or make changes to this bug.